<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="blockState1"
            type="androidx.databinding.ObservableBoolean" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".maintenance.TireRepairActivity">

        <include
            layout="@layout/layout_activity_title"
            app:title='@{"执行工单"}' />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center|top"
                android:orientation="vertical">

                <TextView
                    style="@style/text_title_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:letterSpacing="0.1"
                    android:text='"车牌"+"粤B01260D"' />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:letterSpacing="0.1"
                    android:text='"◎"+"观湖修理厂"'
                    android:textColor="@color/textColor1" />

                <androidx.gridlayout.widget.GridLayout
                    style="@style/layout_card_style"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="12dp"
                    app:columnCount="3"
                    app:rowCount="4">

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:letterSpacing="0.1"
                        android:text="* 修补类型"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />


                    <TextView
                        style="@style/text_block_style"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="站内修补"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{!blockState1}"
                        android:text="委外维修"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:letterSpacing="0.1"
                        android:text="* 当前状态"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />


                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="待修补"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="修补成功"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_end_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="报废"
                        app:layout_columnWeight="1" />


                </androidx.gridlayout.widget.GridLayout>

                <androidx.gridlayout.widget.GridLayout
                    style="@style/layout_card_style"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="12dp"
                    app:columnCount="3">

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:letterSpacing="0.1"
                        android:text="#损伤记录"
                        android:textColor="@color/blue1_1"
                        app:layout_columnSpan="3" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginTop="8dp"
                        android:background="@color/blue1_3"
                        app:layout_columnSpan="3" />

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:letterSpacing="0.1"
                        android:text="* 损伤位置"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="胎冠"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="胎侧"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_end_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="趾口"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="胎肩"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_end_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="其他"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:letterSpacing="0.1"
                        android:text="* 损伤原因"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="刺穿"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="胎侧"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_end_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="趾口"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="咯伤"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="划伤"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_block_end_style"
                        android:layout_width="100dp"
                        android:layout_height="40dp"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        android:text="裂痕"
                        app:layout_columnWeight="1" />

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:letterSpacing="0.1"
                        android:text="* 照片留档"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />
<!--                  -->
                    <ImageView
                        style="@style/text_block_style"
                        android:layout_width="100dp"
                        android:layout_height="100dp"
                        android:background="@drawable/bg_block_img_selector"
                        android:onClick="blockClick_1"
                        android:selected="@{blockState1}"
                        app:layout_columnWeight="1"
                        android:src="@mipmap/ic_xiangji"
                        android:padding="30dp"/>

                    <TextView
                        style="@style/text_title_2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:letterSpacing="0.1"
                        android:text="备注说明"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />

                    <EditText
                        android:id="@+id/et_remark"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:background="@drawable/bg_grey"
                        android:gravity="top"
                        android:hint="输入详细描述..."
                        android:minHeight="100dp"
                        android:padding="8dp"
                        android:textSize="16dp"
                        app:layout_columnSpan="3" />

                </androidx.gridlayout.widget.GridLayout>


                <Button
                    android:layout_width="match_parent"
                    android:layout_height="55dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginEnd="12dp"
                    android:layout_marginBottom="12dp"
                    android:text="完成处理"
                    android:textSize="16sp"
                    android:textStyle="bold" />
            </LinearLayout>
        </ScrollView>
    </LinearLayout>
</layout>